SQUEUE(1)

NAME
squeue - Used to view information of jobs located in the scheduling queue.

SYNOPSIS
squeue [OPTIONS...]

DESCRIPTION
squeue is used to view job and job step information for jobs managed by slurmctld.

OPTIONS

-?, --help
    Print a help message describing the usage of squeue.

-h, --noheader
    Do not print a header on the output.

-i <seconds>, --iterate=<seconds>
    Repeatedly gather and report the requested information at the interval specified (in seconds).

-j, --jobs
    Specify the jobs to view. This flag indicates that a comma separated list of jobs to view follows without an equal sign (see examples). Defaults to all jobs.

-l, --long
    Report more of the available information for the selected jobs or job steps, subject to any constraints specified.

-o <output_format>, --format=<output_format>
    Specify the information to be displayed. The default format for jobs is "%.7i %9P %8j %8u %2t %.9M %.6D %N". If the --long option is specified, the default job format is "%.7i %9P %8j %8u %8T %.9M %.8l %.6D %N". The default format for job steps is "%.10i %9P %8u %.8M %N". The field specifications available include:
    %b Time at which the job began execution
    %c Minimum number of CPUs (processors) requested by the job
    %C Number of CPUs (processors) allocated to the job or job step
    %d Minimum size of temporary disk space (in MB) requested by the job
    %D Number of nodes allocated to the job
    %e Time at which the job ended or is expected to end (based upon its time limit)
    %f Features required by the job
    %h Can the nodes allocated to the job be shared with other jobs
    %i Job or job step id
    %j Job name
    %l Time limit of the job (in hours:minutes). The value may be "NOT_SET" if not yet established or "UNLIMITED" for no limit.
    %m Minimum size of memory (in MB) requested by the job
    %M Time used by the job in days:hours:minutes:seconds. The days and hours are printed only as needed.
    %n List of node names explicitly requested by the job
    %N List of nodes allocated to the job or job step
    %o Minimum number of nodes requested by the job
    %O Are contiguous nodes requested by the job
    %p Priority of the job (converted to a floating point number between 0.0 and 1.0
    %P Partition of the job or job step
    %S Start time of the job or job step
    %t Job state, compact form
    %T Job state, extended form
    %U User id
    %u User name
    %.<*> right justification of the field
    %<Number><*> size of field

-v  Display all job information.

-p <part_list>, --partition=<part_list>
    Specify the partitions of the jobs or steps to view. Accepts a comma separated list of partition names.

-s, --steps
    Specify the job steps to view. This flag indicates that a comma separated list of job steps to view follows without an equal sign (see examples). The job step format is "job_id.step_id". Defaults to all job steps.

-S <sort_list>, --sort=<sort_list>
    Specifies the sorting order of job's or job step's records for printing. Accepts a comma separated list of field identifiers using the single letter codes used for output formatting. For example, "--sort=P,U" will sort the records by partition name then by user id. The default sorting order for jobs is job state then priority. The default sorting order for job steps is partition name. Note that sorting is not supported for all fields at this time.

-t <state_list>, --states=<state_list>
    Specify the states of jobs to view. Accepts a comma separated list of state names or "all". If "all" is specified then jobs of all states will be reported. If no state is specified then pending, running, and completing
     jobs are reported.

-u <user_list>, --users=<user_list>
    Specifies a comma separated list of users whose jobs or job steps are to be reported.

-v, --verbose
    Report details of squeues actions.

-V , --version
    Print version information and exit.

ENVIRONMENT VARIABLES

Some squeue options may be set via environment variables. These environment variables, along with their corresponding options, are listed below. (Note: Commandline options will always override these settings.)

SQUEUE_FORMAT
    -o <output_format>, --format=<output_format>

SQUEUE_PARTITION
    -p <part_list>, --partition=<part_list>

SQUEUE_SORT
    -S <sort_list>, --sort=<sort_list>

SQUEUE_STATES
    -t <state_list>, --states=<state_list>

SQUEUE_USERS
    -u <user_list>, --users=<user_list>

EXAMPLES
Print the jobs scheduled in the debug partition and in the COMPLETED state in the format with six right justified digits for the job id followed by the priority with an arbitrary fields size:
# squeue -p debug -t COMPLETED -o "%.6i %p"
 JOBID PRIORITY
----------------
 65543 99993
 65544 99992
 65545 99991 Print the job steps in the debug partition sorted by user:
# squeue -s -p debug -S u
  STEPID PARTITION USER TIME_USED NODES
-----------------------------------------------------------
 65552.1 debug alice 0:23 dev[1-4]
 65562.2 debug bob 0:18 dev22
 65550.1 debug candice 1:43:21 dev[6-12] Print information only about jobs 12345 and 12346:
# squeue --jobs 12345,12346
  JOBID PARTITION NAME USER ST TIME_USED #NODES NODES
-----------------------------------------------------------
  12345 debug pwd david R 0:21 4 dev[9-12]
  12346 debug pwd david PD 0:00 0 Print information only about job step 65552.1:
# squeue --steps 65552.1
  STEPID PARTITION USER TIME_USED NODES
-----------------------------------------------------------
 65552.1 debug alice 12:49 dev[1-4]

COPYING
Copyright (C) 2002 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-2002-040.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
scontrol(1), sinfo(1), slurm_load_ctl_conf(3), slurm_load_jobs(3), slurm_load_node(3), slurm_load_partitions(3)